com.tibbo.aggregate.common.communication

## Class CommandProcessorStatistics

- java.lang.Object
- - com.tibbo.aggregate.common.communication.CommandProcessorStatistics

-     public class CommandProcessorStatistics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandProcessorStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAverageResponseTime()`
    `long` | `getCommandCount()`
    `java.lang.Long` | `getConnectionTime()`
    `long` | `getEventCount()`
    `long` | `getIncomingTraffic()`
    `long` | `getOutgoingTraffic()`
    `java.lang.Long` | `getStartTime()`
    `long` | `getUnrepliedCommandCount()`
    `DataTable` | `toDataTable()`
    `void` | `updateOnAsyncCommand(Command command)`
    `void` | `updateOnSyncCommand(ReplyMonitor<? extends Command,? extends Command> monitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### CommandProcessorStatistics

          public CommandProcessorStatistics()

  - ### Method Detail

    - #### updateOnAsyncCommand

          public void updateOnAsyncCommand(Command command)

    - #### updateOnSyncCommand

          public void updateOnSyncCommand(ReplyMonitor<? extends Command,? extends Command> monitor)

    - #### toDataTable

          public DataTable toDataTable()

    - #### getStartTime

          public java.lang.Long getStartTime()

    - #### getConnectionTime

          public java.lang.Long getConnectionTime()

    - #### getCommandCount

          public long getCommandCount()

    - #### getEventCount

          public long getEventCount()

    - #### getAverageResponseTime

          public long getAverageResponseTime()

    - #### getOutgoingTraffic

          public long getOutgoingTraffic()

    - #### getIncomingTraffic

          public long getIncomingTraffic()

    - #### getUnrepliedCommandCount

          public long getUnrepliedCommandCount()